itpp::Poisson_Packet_Generator Class Reference

`#include <itpp/protocol/packet_generator.h>`

Inheritance diagram for itpp::Poisson_Packet_Generator:

## Public Member Functions

| Poisson_Packet_Generator (const double Avg_bit_rate=1.0, const int Packet_size=150, const unsigned long int Max_packets=0)
| ADD DOCUMENTATION HERE.
virtual | ~Poisson_Packet_Generator ()
| ADD DOCUMENTATION HERE.
void | set_parameters (const double Avg_bit_rate, const int Packet_size, const unsigned long int Max_packets)
| ADD DOCUMENTATION HERE.
double | get_avg_bit_rate ()
| ADD DOCUMENTATION HERE.
void | set_parameters (const int Packet_size, const unsigned long int Max_packets)
| ADD DOCUMENTATION HERE.
int | get_packet_size ()
| ADD DOCUMENTATION HERE.
int | get_max_packets ()
| ADD DOCUMENTATION HERE.

## Public Attributes

Signal< Packet * > | output
| ADD DOCUMENTATION HERE.
Slot< Packet_Generator, bool > | start
| ADD DOCUMENTATION HERE.

## Protected Member Functions

virtual Ttype | delta_t ()
| ADD DOCUMENTATION HERE.

## Protected Attributes

double | avg_delta_t
| ADD DOCUMENTATION HERE.
double | avg_bit_rate
| ADD DOCUMENTATION HERE.
Exponential_RNG | ee
| ADD DOCUMENTATION HERE.

## Detailed Description

ADD DOCUMENTATION HERE

Definition at line 88 of file packet_generator.h.

## Constructor & Destructor Documentation

## Poisson_Packet_Generator()

itpp::Poisson_Packet_Generator::Poisson_Packet_Generator | ( | const double | Avg_bit_rate = 1.0,
|  | const int | Packet_size = 150,
|  | const unsigned long int | Max_packets = 0 )

ADD DOCUMENTATION HERE.

Definition at line 86 of file packet_generator.cpp.

References itpp::Packet_Generator::Packet_Generator(), and set_parameters().

Referenced by itpp::Burst_WWW_Packet_Generator::Burst_WWW_Packet_Generator(), and itpp::Constant_Rate_Packet_Generator::Constant_Rate_Packet_Generator().

## ~Poisson_Packet_Generator()

itpp::Poisson_Packet_Generator::~Poisson_Packet_Generator | ( |  | ) |

virtual

ADD DOCUMENTATION HERE.

Definition at line 93 of file packet_generator.cpp.

## Member Function Documentation

## set_parameters() [1/2]

void itpp::Poisson_Packet_Generator::set_parameters | ( | const double | Avg_bit_rate,
|  | const int | Packet_size,
|  | const unsigned long int | Max_packets )

ADD DOCUMENTATION HERE.

Definition at line 95 of file packet_generator.cpp.

References avg_bit_rate, avg_delta_t, ee, itpp::Packet_Generator::get_packet_size(), it_assert, and itpp::Packet_Generator::set_parameters().

Referenced by Poisson_Packet_Generator().

## get_avg_bit_rate()

double itpp::Poisson_Packet_Generator::get_avg_bit_rate | ( |  | ) |

ADD DOCUMENTATION HERE.

Definition at line 106 of file packet_generator.cpp.

References avg_bit_rate.

## delta_t()

Ttype itpp::Poisson_Packet_Generator::delta_t | ( |  | ) |

protected virtual

ADD DOCUMENTATION HERE.

Implements itpp::Packet_Generator.

Reimplemented in itpp::Burst_WWW_Packet_Generator, and itpp::Constant_Rate_Packet_Generator.

Definition at line 112 of file packet_generator.cpp.

References avg_delta_t, and ee.

## set_parameters() [2/2]

void itpp::Packet_Generator::set_parameters | ( | const int | Packet_size,
|  | const unsigned long int | Max_packets )

inherited

ADD DOCUMENTATION HERE.

Definition at line 46 of file packet_generator.cpp.

References it_assert.

Referenced by Packet_Generator(), and itpp::Poisson_Packet_Generator::set_parameters().

## get_packet_size()

int itpp::Packet_Generator::get_packet_size | ( |  | ) |

inherited

ADD DOCUMENTATION HERE.

Definition at line 54 of file packet_generator.cpp.

Referenced by itpp::Poisson_Packet_Generator::set_parameters().

## get_max_packets()

int itpp::Packet_Generator::get_max_packets | ( |  | ) |

inherited

ADD DOCUMENTATION HERE.

Definition at line 59 of file packet_generator.cpp.

## Member Data Documentation

## avg_delta_t

double itpp::Poisson_Packet_Generator::avg_delta_t

protected

ADD DOCUMENTATION HERE.

Definition at line 103 of file packet_generator.h.

Referenced by itpp::Constant_Rate_Packet_Generator::delta_t(), delta_t(), and set_parameters().

## avg_bit_rate

double itpp::Poisson_Packet_Generator::avg_bit_rate

protected

ADD DOCUMENTATION HERE.

Definition at line 105 of file packet_generator.h.

Referenced by get_avg_bit_rate(), and set_parameters().

## ee

Exponential_RNG itpp::Poisson_Packet_Generator::ee

protected

ADD DOCUMENTATION HERE.

Definition at line 107 of file packet_generator.h.

Referenced by itpp::Burst_WWW_Packet_Generator::delta_t(), delta_t(), and set_parameters().

## output

Signal<Packet*> itpp::Packet_Generator::output

inherited

ADD DOCUMENTATION HERE.

Definition at line 62 of file packet_generator.h.

Referenced by Packet_Generator().

## start

Slot<Packet_Generator, bool> itpp::Packet_Generator::start

inherited

ADD DOCUMENTATION HERE.

Definition at line 64 of file packet_generator.h.

Referenced by Packet_Generator().

The documentation for this class was generated from the following files:

- itpp/protocol/packet_generator.h
- itpp/protocol/packet_generator.cpp

Generated on for IT++ by Doxygen 1.15.0